## AgsAuthSecurityContext

AgsAuthSecurityContext — auth security context

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_AUTH_SECURITY_CONTEXT_GET_OBJ_MUTEX()
AgsAuthSecurityContext * | ags_auth_security_context_get_instance ()
AgsAuthSecurityContext * | ags_auth_security_context_new ()

## Object Hierarchy

        GObject
        ╰── AgsSecurityContext
            ╰── AgsAuthSecurityContext

## Includes

    #include <ags/server/security/ags_auth_security_context.h>

## Description

The AgsAuthSecurityContext has got all available privileges to do anything.

## Functions

### AGS_AUTH_SECURITY_CONTEXT_GET_OBJ_MUTEX()

    #define AGS_AUTH_SECURITY_CONTEXT_GET_OBJ_MUTEX(obj) (&(((AgsAuthSecurityContext *) obj)->obj_mutex))

### ags_auth_security_context_get_instance ()

    AgsAuthSecurityContext *
    ags_auth_security_context_get_instance
                                   ();

Get instance.

#### Returns

the AgsAuthSecurityContext.

[transfer none]

Since: 3.0.0

### ags_auth_security_context_new ()

    AgsAuthSecurityContext *
    ags_auth_security_context_new ();

Create AgsAuthSecurityContext.

#### Returns

the new AgsAuthSecurityContext instance

Since: 3.0.0